@import "../../scss/variables.scss";

@mixin hamburger-styles() {
  .noku-library-hamburger {
    cursor: pointer;
    position: absolute;
    width: 15px;
    height: 14px;
    left: 20px;
    top: 50%;
    transform: translateY(-50%);
  
    &:after {
      position: absolute;
      content: "";
      top: -10px;
      left: -20px;
      right: -10px;
      bottom: -10px;
    }
  
    div {
      background: $grey600;
      height: 1px;
      width: 8px;
      transition: all 0.3s;
    }
  
    div:first-child {
      width: 14px;
      margin-bottom: 5px;
    }
  
    div:last-child {
      width: 14px;
      margin-top: 5px;
    }
  
    &.open {
      height: 7px;
  
      div {
        position: absolute;
        opacity: 0;
        background: $white;
      }
  
      div:first-child {
        margin-top: 5px;
        transform: rotate(45deg);
        transition-duration: 0.3s;
        opacity: 1;
      }
  
      div:last-child {
        transform: rotate(-45deg);
        transition-duration: 0.3s;
        opacity: 1;
      }
    }
  
    &.show {
      display: block;
    }
  
    &.hide {
      display: none;
    }
  }
}
